<?php

namespace App\Traits;

trait Title
{
    public function title() :?string
    {
        return $this->getAttribute("title_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title');
    }

    public function room_category() :?string
    {
        return $this->getAttribute("room_category_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('room_category');
    }

    public function menu_category() :?string
    {
        return $this->getAttribute("menu_category_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('menu_category');
    }

    


    public function name() :?string
    {
        return $this->getAttribute("name_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('name');
    }

    public function role() :?string
    {
        return $this->getAttribute("role_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('role');
    }



    public function title1() :?string
    {
        return $this->getAttribute("title1_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title1');
    }

    public function title2() :?string
    {
        return $this->getAttribute("title2_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title2');
    }

    public function title3() :?string
    {
        return $this->getAttribute("title3_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title3');
    }

    public function aboutName() :?string
    {
        return $this->getAttribute("aboutName_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('aboutName');
    }

    public function ceoName() :?string
    {
        return $this->getAttribute("ceoName_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('ceoName');
    }

    public function button() :?string
    {
        return $this->getAttribute("button_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('button');
    }

    public function title4() :?string
    {
        return $this->getAttribute("title4_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title4');
    }

    public function title5() :?string
    {
        return $this->getAttribute("title5_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title5');
    }


    public function title6() :?string
    {
        return $this->getAttribute("title6_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('title6');
    }


    public function customer() :?string
    {
        return $this->getAttribute("customer_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('customer');
    }

    public function ceoTitle() :?string
    {
        return $this->getAttribute("ceoTitle_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('ceoTitle');
    }

    public function ceoRole() :?string
    {
        return $this->getAttribute("ceoRole_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('ceoRole');
    }

    public function about() :?string
    {
        return $this->getAttribute("about_" . str_replace('_', '-', app()->getLocale())) ?? $this->getAttribute('about');
    }



}
